Subject: RE: I-D ACTION:draft-ietf-fax-gateway-protocol-04.txt

From: Hiroshi Tamura <[email-masked]>
Date: Fri, 01 Jun 2001 10:04:08 +0900 (JST)

Slow response. I'm very busy now. Little by little,
I catch up with this thread.

>   4.2 Address designation
> 
>    An onramp gateway MUST have the function that onramp gateway analyze
>    destination address from address data sent by facsimile device over
>    GSTN.
> 
> There isn't any "destination address [...] sent by facsimile device under
> GSTN".   I'm not sure what section 4.2 is requiring, but as there isn't
> any "destination address" in T.30 / T.4, and not all facsimile devices
> can get the DNIS, I'm not sure what this section is requiring.
> 
> I know there was a proposal to add some sort of information to T.30 --
> is this what you're referring to?  I'm really unclear where the
> information described in 4.2.1 comes from over the GSTN...?

Dan,
for your information, this signal is already included in T.30.
It is IRA(Internet Routing Address).
It can convey the E-mail address to receiver.

Sender            Receiver
CNG           ->
              <- CED
              <- (CSI)DIS
(IRA)(TSI)DCS ->
          TCF ->
              <- CFR
              .
              .

So, if a T.30 fax machine and an onramp gateway support IRA signal,
the fax machine can directly set E-mail address and send the image data
to the address.

Sender ->   Receiver(Onramp GW) -> ... -> [email-masked]
       T.30                     Mail

Regards,
--
Hiroshi Tamura, Ricoh Company, LTD.
[email-masked]

---

From: "Dan Wing" <[email-masked]>
Date: Fri, 1 Jun 2001 08:07:06 -0700

Thanks.  If this is the intent of the text, the text in the Internet Draft
should use words like "IRA" and "Internet Routing Address".

I suggest, also, that this isn't a MUST requirement, as supporting the IRA
isn't required for an onramp to interoperate with the PSTN or with the
Internet.  The only thing that an onramp need to do is support at least one
method of routing messages to a user -- it need not support several methods of
routing.  IRA is merely one of the (many) routing methods.  Obviously
supporting IRA will enhance its usefulness as more and more vendors support
it, but its use on the transmitting fax requires a change in user behavior.
We're all aware of the difficulties of changing fax user's behavior!

-d

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Hiroshi Tamura
> Sent: Thursday, May 31, 2001 6:04 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Subject: RE: I-D ACTION:draft-ietf-fax-gateway-protocol-04.txt
>
>

---

From: Katsuhiko Mimura <[email-masked]>
Date: Mon, 04 Jun 2001 14:50:04 +0900

Thank you for your suggestion.

I think, on the Onramp action,
it is necessary to correspond to a lot of
destination E-mail addresses.
There are actually many users who demand
two or more addresses with Fax service.

And I think it an indispensable function
that a Onramp gateway gets to know all the E-mail
addresses that a user specifies correctly.

And, the machine which is not equipped
with the function to input a character required
  in order to specify E-mail address exists
in G3FAX machine which the user is using.

A user can specify an E-mail address
immediately and can also specify indirectly.
It does not depend on the means for transmitting
E-mail address information.

It is required to interpret correctly the
address information which the gateway received.

So, I think that section 4.2 is required.
And I would like to change the first sentence
of the abstract to:

   An Internet FAX Gateway provides functions
   which translate facsimile between the general
   switched telephone network (GSTN) the Internet.
   This document provides information on recommended
   behaviors for Internet FAX Gateways Functions for
   email-based Internet fax.

And I would like to change the third sentence in the
first paragraph of section 1 to:

    A more detailed definition of onramps and offramps
    for email-based Internet fax is provided in [RFC2542].
    Internet FAX Gateways functions for real-time
    Internet fax are defined in [T.38].

/mimura

---

From: "Dan Wing" <[email-masked]>
Date: Wed, 6 Jun 2001 10:09:30 -0700

> Behalf Of Katsuhiko Mimura
> Sent: Sunday, June 03, 2001 10:50 PM
> To: Dan Wing
> Cc: Hiroshi Tamura; [email-masked]; [email-masked];
> Subject: Re: I-D ACTION:draft-ietf-fax-gateway-protocol-04.txt
>
>

It isn't required for interoperability with any existing G3 fax machine, nor
with SMTP mailers.  Thus, I don't see the requirement.

I agree it is a very valuable feature, but I don't see the requirement for
interoperability.

My cite is section 6 of RFC2119 which says this regarding the use of
imperatives (including MUST):

   Imperatives of the type defined in this memo must be used with care
   and sparingly.  In particular, they MUST only be used where it is
   actually required for interoperation or to limit behavior which has
   potential for causing harm (e.g., limiting retransmisssions)  For
   example, they must not be used to try to impose a particular method
   on implementors where the method is not required for
   interoperability.

Again, interpretation of the Internet Routing Address (IRA) in T.30 isn't
required for interoperation with existing G3 fax machines.  There are many
other ways, which you have listed in your document (redialers, for example),
and several which you didn't (DNIS or perhaps even ANI).  It is important for
full-function onramp gateways to support one of these mechanism, and perhaps
even all of them, but this is a marketing decision by the vendor and
purchasing decision by the end user.

For example, if a user decides to use the simple DNIS method to route incoming
faxes to the appropriate user's email address, there simply is no need for
their onramp gateway to support the T.30 IRA.  That's why I'm objecting to
this MUST requirement in your specification.

-d